## Class Swift_MimePart

(line 20)

## Description

    Swift_Mime_SimpleMimeEntity
       |
       --Swift_Mime_MimePart
          |
          --Swift_MimePart

Located in File: /vendors/swiftMailer/classes/Swift/MimePart.php

##### A MIME part, in a multipart message.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
static Swift_Mime_MimePart newInstance ([string $body = null], [string $contentType = null], [string $charset = null])
Swift_MimePart __construct ([string $body = null], [string $contentType = null], [string $charset = null])

#### Static Method newInstance (line 59)

#### Swift_Mime_MimePart newInstance( [string $body = null], [string $contentType = null], [string $charset = null])

##### Create a new MimePart.

#### Parameters

- string $body:
- string $contentType:
- string $charset:

#### Info

- access - public

#### Constructor __construct (line 30)

#### Swift_MimePart __construct( [string $body = null], [string $contentType = null], [string $charset = null])

Overrides : Swift_Mime_MimePart::__construct() Create a new MimePart with $headers, $encoder and $cache.

##### Create a new MimePart.

Details may be optionally passed into the constructor.

#### Parameters

- string $body:
- string $contentType:
- string $charset:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Mime_MimePart

#### Swift_Mime_MimePart::$_userCharset - The charset last specified by the user

#### Swift_Mime_MimePart::$_userDelSp - The delsp parameter last specified by the user

#### Swift_Mime_MimePart::$_userFormat - The format parameter last specified by the user

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::$_userContentType -

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_MimePart

#### Swift_Mime_MimePart::__construct() - Create a new MimePart with $headers, $encoder and $cache.

#### Swift_Mime_MimePart::charsetChanged() - Receive notification that the charset has changed on this document, or a parent document.

#### Swift_Mime_MimePart::getCharset() - Get the character set of this entity.

#### Swift_Mime_MimePart::getDelSp() - Test if delsp is being used for this entity.

#### Swift_Mime_MimePart::getFormat() - Get the format of this entity (i.e. flowed or fixed).

#### Swift_Mime_MimePart::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_MimePart::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_MimePart::setCharset() - Set the character set of this entity.

#### Swift_Mime_MimePart::setDelSp() - Turn delsp on or off for this entity.

#### Swift_Mime_MimePart::setFormat() - Set the format of this entity (flowed or fixed).

#### Swift_Mime_MimePart::_fixHeaders() - Fix the content-type and encoding of this entity

#### Swift_Mime_MimePart::_setNestingLevel() - Set the nesting level of this entity

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::__construct() - Create a new SimpleMimeEntity with $headers, $encoder and $cache.

#### Swift_Mime_SimpleMimeEntity::charsetChanged() - Receive notification that the charset of this entity, or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::encoderChanged() - Receive notification that the encoder of this entity or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::generateId() - Generate a new Content-ID or Message-ID for this MIME entity.

#### Swift_Mime_SimpleMimeEntity::getBody() - Get the body of this entity as a string.

#### Swift_Mime_SimpleMimeEntity::getBoundary() - Get the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::getChildren() - Get all children added to this entity.

#### Swift_Mime_SimpleMimeEntity::getContentType() - Get the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::getDescription() - Get the description of this entity.

#### Swift_Mime_SimpleMimeEntity::getEncoder() - Get the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getHeaders() - Get the Swift_Mime_HeaderSet for this entity.

#### Swift_Mime_SimpleMimeEntity::getId() - Get the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::getMaxLineLength() - Get the maximum line length of the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_SimpleMimeEntity::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_SimpleMimeEntity::setBoundary() - Set the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::setChildren() - Set all children of this entity.

#### Swift_Mime_SimpleMimeEntity::setContentType() - Set the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::setDescription() - Set the description of this entity.

#### Swift_Mime_SimpleMimeEntity::setEncoder() - Set the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::setId() - Set the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::setMaxLineLength() - Set the maximum line length of lines in this body.

#### Swift_Mime_SimpleMimeEntity::toByteStream() - Write this entire entity to a Swift_InputByteStream.

#### Swift_Mime_SimpleMimeEntity::toString() - Get this entire entity as a string.

#### Swift_Mime_SimpleMimeEntity::_clearCache() - Empty the KeyCache for this entity.

#### Swift_Mime_SimpleMimeEntity::_fixHeaders() - Re-evaluate what content type and encoding should be used on this entity.

#### Swift_Mime_SimpleMimeEntity::_getCache() - Get the KeyCache used in this entity.

#### Swift_Mime_SimpleMimeEntity::_getHeaderFieldModel() - Get the model data (usually an array or a string) for $field.

#### Swift_Mime_SimpleMimeEntity::_getHeaderParameter() - Get the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::_getIdField() - Get the name of the header that provides the ID of this entity

#### Swift_Mime_SimpleMimeEntity::_setHeaderFieldModel() - Set the model data for $field.

#### Swift_Mime_SimpleMimeEntity::_setHeaderParameter() - Set the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::__destruct() - Empties it's own contents from the cache.

#### Swift_Mime_SimpleMimeEntity::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:26 +0000 by phpDocumentor 1.4.3